{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% comment %}
  Password message which you can edit on http://www.shopify.com/admin/online_store/preferences
{% endcomment %}
{% unless shop.password_message == blank %}
  <div class="password-message">
    {{ shop.password_message }}
  </div>
{% endunless %}

{% if section.settings.newsletter_enable %}
  {% form 'customer' %}
    {{ form.errors | default_errors }}
    {% if form.posted_successfully? %}
      <ul class="form--success">
        <li>{% comment %}ly_i18n_replace_for_[ 'general.password_page.signup_form_success' | t ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.password_page.signup_form_success' | t }}{% endcapture %}{% include 'ly-static-string' with '10725396' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}</li>
      </ul>
    {% else %}
      <p class="password__form-heading h4">
        {{ section.settings.newsletter_form_heading }}
      </p>
      <input type="hidden" name="contact[tags]" value="prospect, password page">
      <label for="email" class="label--hidden">{% comment %}ly_i18n_replace_for_[ 'general.password_page.signup_form_email_label' | t ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.password_page.signup_form_email_label' | t }}{% endcapture %}{% include 'ly-static-string' with '10725397' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}</label>
      <div class="input-group password__input-group">
        <input type="email" name="contact[email]" id="Email" class="input-group__field" placeholder="{{ section.settings.newsletter_placeholder }}">
        <span class="input-group__btn">
          <button type="submit" name="commit" class="btn">
            <span>{{ section.settings.newsletter_button_text }}</span>
          </button>
        </span>
      </div>
    {% endif %}
  {% endform %}
{% endif %}

{% schema %}
{
  "name": "Content",
  "settings": [
    {
      "type": "checkbox",
      "id": "newsletter_enable",
      "label": "Show newsletter signup",
      "default": true
    },
    {
      "type": "text",
      "id": "newsletter_form_heading",
      "label": "Newsletter form heading",
      "default": "Be the first to know when we launch.",
      "info": "[Tell your visitors about a launch day discount](https://www.shopify.ca/blog/15514000-14-ways-to-use-offers-coupons-discounts-and-deals-to-drive-revenue-and-customer-loyalty)."
    },
    {
      "type": "text",
      "id": "newsletter_placeholder",
      "label": "Newsletter placeholder text",
      "default": "Email address"
    },
    {
      "type": "text",
      "id": "newsletter_button_text",
      "label": "Newsletter button text",
      "default": "Notify me"
    }
  ]
}
{% endschema %}
